#include<bits/stdc++.h>

using namespace std;


int main(){
    cin>>n;
    cin>>s;
    if(n<26){
        cout<<0;
        return 0;
    }
    if(n==26){
        for(int i=0;i<26;i++){
            if(s[i]!=('A'+i)){
                cout<<0;
                return 0;
            }
        }
        cout<<1;
        return 0;
    }
    if(n==27){
        if(s[0]!='A'){
            for(int i=1;i<27;i++){
                if(s[i]!=('A'+i-1));{
                    cout<<0;
                    return 0;
                }
            }
            cout<<1;
            return 0;
        }
        int cnt=0;
        int sol=1;
        for(int i=0;i<27;i++){
            if(s[i]!=('A'+i-cnt)){
                if(s[i]==s[i-1]){
                    sol++;
                }
                cnt++;
            }
            if(cnt==2){
                cout<<0;
                return 0;
            }
        }
        cout<<sol;
        return 0;
    }
}